2002-06-27 15:45  rkirkby

	* weka/gui/GenericObjectEditor.props (1.62): Added XMeans.

2002-06-27 15:42  rkirkby

	* weka/filters/unsupervised/attribute/Makefile (1.3): Put
	AddCluster back in, as it was accidentally overlooked earlier.

2002-06-27 15:40  rkirkby

	* weka/filters/unsupervised/attribute/AddCluster.java (1.1):
	Initial import.

2002-06-27 15:37  rkirkby

	* weka/clusterers/XMeans.java (1.3): Fixed getOptions() bug.

2002-06-27 15:21  rkirkby

	* weka/clusterers/EM.java (1.17): Very minor documentation fix.

2002-06-27 14:48  gabi

	* weka/clusterers/KDTree.java (1.3): syntax error line 112

2002-06-27 12:20  gabi

	* weka/clusterers/KDTree.java (1.2): AlgVectr changed to weka
	clusterers.

2002-06-27 12:19  gabi

	* weka/clusterers/XMeans.java (1.2): AlgVector changed to
	weka.clusterers. Filter changed place too.

2002-06-27 12:18  gabi

	* weka/clusterers/AlgVector.java (1.1): Class for algebraic vector.

2002-06-26 16:20  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.55): Fixed evaluation
	so that classifiers can't peek at the class when predicting.

2002-06-26 14:56  rkirkby

	* weka/gui/explorer/ClustererPanel.java (1.36): Made trees fit
	screen when first displayed in visualizer.

2002-06-26 14:52  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.54): Made trees fit
	screen when first displayed in visualizer.

2002-06-26 14:48  rkirkby

	* weka/gui/treevisualizer/TreeVisualizer.java (1.6): Added
	functions so that the tree can be made to fit the window upon
	launch.

2002-06-25 16:33  rkirkby

	* weka/classifiers/meta/RacedIncrementalLogitBoost.java (1.2):
	Changed default maximum chunk size. Fixed some spelling mistakes.

2002-06-25 15:09  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.53): Put deprecated
	stop method back in - stop button wouldn't respond without it.

2002-06-24 16:31  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.52): Attempt to make
	start/stop buttons more robust by adding synchronised blocks and
	removing deprecated stop method. Also fixed a spelling mistake.

2002-06-24 15:57  rkirkby

	* weka/gui/explorer/AssociationsPanel.java (1.15): Removed `Save
	Output' button and added pop-up right-click menu consistent with
	the other panels in the Explorer.

2002-06-24 15:13  rkirkby

	* weka/gui/explorer/AttributeSelectionPanel.java (1.24): Changed
	visualization menu so that non-applicable entries are greyed out
	rather than hidden.

2002-06-24 12:40  rkirkby

	* weka/gui/explorer/ClustererPanel.java (1.35): Changed
	visualization menu so that non-applicable entries are greyed out
	rather than hidden.

2002-06-24 12:28  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.51): Changed
	visualization menu so that non-applicable entries are greyed out
	rather than hidden.

2002-06-21 16:04  eibe

	* weka/filters/unsupervised/attribute/Makefile (1.2): Removed
	AddCluster.java

2002-06-21 15:55  rkirkby

	* weka/: classifiers/meta/Makefile (1.2),
	gui/GenericObjectEditor.props (1.61): Added
	RacedIncrementalLogitBoost.

2002-06-21 15:54  rkirkby

	* weka/classifiers/meta/RacedIncrementalLogitBoost.java (1.1):
	Initial import.

2002-06-20 16:35  rkirkby

	* weka/classifiers/meta/LogitBoost.java (1.23): Added -S output to
	getOptions().

2002-06-20 15:25  rkirkby

	* weka/gui/explorer/PreprocessPanel.java (1.29): Expanded 'info'
	abbreviation to 'information'.

2002-06-20 15:17  rkirkby

	* weka/gui/LogPanel.java (1.11): Fixed a spelling mistake.

2002-06-20 10:34  gabi

	* weka/clusterers/XMeans.java (1.1): X-Means: numerical attributes
	only. KDtrees used if -K option used.

2002-06-20 10:33  gabi

	* weka/clusterers/KDTree.java (1.1): KDtree, preliminary version.
	strongly connected to XMeans.  Only numeric attributes.

2002-06-19 16:11  rkirkby

	* weka/gui/GenericObjectEditor.props (1.60): Removed Cleanser and
	KernelDensity classifiers.

2002-06-19 16:06  rkirkby

	* weka/classifiers/lazy/KernelDensity.java (1.9): Removed.

2002-06-19 16:05  rkirkby

	* weka/classifiers/meta/Cleanser.java (1.4): Has been replaced by
	RemoveMisclassified filter.

2002-06-18 13:59  rkirkby

	* weka/gui/Makefile (1.15): Added beans package.

2002-06-18 11:17  rkirkby

	* weka/gui/beans/Makefile (1.1): Initial import.

2002-06-18 10:49  rkirkby

	* weka/gui/explorer/PreprocessPanel.java (1.28): Changed filter
	exception handling.

2002-06-17 17:09  rkirkby

	* weka/filters/unsupervised/: attribute/Makefile (1.1),
	instance/Makefile (1.1): Initial import.

2002-06-17 17:04  rkirkby

	* weka/filters/supervised/instance/Makefile (1.1): Initial import.

2002-06-17 16:58  rkirkby

	* weka/filters/: supervised/Makefile (1.1), unsupervised/Makefile
	(1.1), supervised/attribute/Makefile (1.1): Initial import.

2002-06-17 16:56  rkirkby

	* weka/filters/Makefile (1.25): Updated to reflect new filter
	packages.

2002-06-17 16:22  rkirkby

	* weka/classifiers/meta/FilteredClassifier.java (1.16): Changed
	default filter to reflect shifted filter packages.

2002-06-17 16:21  rkirkby

	* weka/gui/explorer/PreprocessPanel.java (1.27): Modified so that
	only UnsupervisedFilters are available in the filters menu.

2002-06-17 16:19  rkirkby

	* weka/gui/GenericObjectEditor.props (1.59): Added
	UnsupervisedFilters sections so that only unsupervised filters will
	be available in the preprocess panel.

2002-06-17 12:09  rkirkby

	* weka/filters/: AbstractTimeSeriesFilter.java (1.7),
	AddFilter.java (1.20), AddNoiseFilter.java (1.2),
	AttributeExpressionFilter.java (1.12), AttributeFilter.java (1.18),
	AttributeSelectionFilter.java (1.21), AttributeTypeFilter.java
	(1.14), ClassOrderFilter.java (1.4), CopyAttributesFilter.java
	(1.12), DiscretizeFilter.java (1.19), FirstOrderFilter.java (1.16),
	InstanceFilter.java (1.12), MakeIndicatorFilter.java (1.17),
	MergeTwoValuesFilter.java (1.11), MisclassificationFilter.java
	(1.4), NominalToBinaryFilter.java (1.20),
	NonSparseToSparseFilter.java (1.8), NormalizationFilter.java
	(1.11), NumericToBinaryFilter.java (1.8),
	NumericTransformFilter.java (1.15), ObfuscateFilter.java (1.8),
	RandomizeFilter.java (1.9), ReplaceMissingValuesFilter.java (1.13),
	ResampleFilter.java (1.12), SparseToNonSparseFilter.java (1.8),
	SplitDatasetFilter.java (1.14), SpreadSubsampleFilter.java (1.11),
	StringToNominalFilter.java (1.8), StringToWordVectorFilter.java
	(1.10), SwapAttributeValuesFilter.java (1.13),
	TimeSeriesDeltaFilter.java (1.9), TimeSeriesTranslateFilter.java
	(1.11), UselessAttributeFilter.java (1.3): Filters have been
	repackaged.

2002-06-17 12:00  rkirkby

	* weka/build.xml (1.6): Added new filter packages for javadoc
	creation.

2002-06-17 11:46  rkirkby

	* weka/gui/GenericObjectEditor.props (1.58): Changed to reflect
	filter repackaging.

2002-06-17 11:39  rkirkby

	* weka/filters/supervised/attribute/AttributeSelection.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.AttributeSelectionFilter
	
	The changelog prior to shifting was:

2002-06-17 11:31  rkirkby

	* weka/filters/unsupervised/instance/RemovePercentage.java (1.2):
	Fixed some comments.

2002-06-17 11:26  rkirkby

	* weka/classifiers/lazy/kstar/Makefile (1.3): Removed
	LightHashTable.java

2002-06-17 11:25  rkirkby

	* weka/classifiers/lazy/kstar/LightHashTable.java (1.6): Not being
	used so removed.

2002-06-17 11:21  rkirkby

	* weka/classifiers/rules/JRip.java (1.7): ClassOrder filter changed
	packages (again).

2002-06-17 11:17  rkirkby

	* weka/filters/supervised/instance/ClassOrder.java (1.2): Removed.
	Was in wrong package.

2002-06-17 11:15  rkirkby

	* weka/filters/supervised/attribute/ClassOrder.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.ClassOrderFilter
	
	The changelog prior to shifting was:

2002-06-14 23:14  eibe

	* weka/: associations/Apriori.java (1.13),
	attributeSelection/AttributeSelection.java (1.29),
	attributeSelection/CfsSubsetEval.java (1.17),
	attributeSelection/ChiSquaredAttributeEval.java (1.8),
	attributeSelection/ClassifierSubsetEval.java (1.8),
	attributeSelection/ConsistencySubsetEval.java (1.9),
	attributeSelection/GainRatioAttributeEval.java (1.15),
	attributeSelection/InfoGainAttributeEval.java (1.14),
	attributeSelection/OneRAttributeEval.java (1.10),
	attributeSelection/PrincipalComponents.java (1.24),
	attributeSelection/SVMAttributeEval.java (1.8),
	attributeSelection/SymmetricalUncertAttributeEval.java (1.14),
	attributeSelection/WrapperSubsetEval.java (1.17),
	classifiers/functions/LeastMedSq.java (1.6),
	classifiers/functions/LinearRegression.java (1.18),
	classifiers/functions/Logistic.java (1.22),
	classifiers/functions/SMO.java (1.34),
	classifiers/functions/VotedPerceptron.java (1.14),
	classifiers/functions/Winnow.java (1.6),
	classifiers/functions/neural/NeuralNetwork.java (1.10),
	classifiers/meta/ClassificationViaRegression.java (1.13),
	classifiers/meta/MultiClassClassifier.java (1.28),
	classifiers/meta/OrdinalClassClassifier.java (1.5),
	classifiers/meta/RegressionByDiscretization.java (1.17),
	classifiers/rules/DecisionTable.java (1.25),
	classifiers/rules/JRip.java (1.6),
	classifiers/trees/UserClassifier.java (1.10),
	classifiers/trees/m5/M5Base.java (1.4),
	classifiers/trees/m5/RuleNode.java (1.3),
	clusterers/ClusterEvaluation.java (1.19), clusterers/Cobweb.java
	(1.15), clusterers/SimpleKMeans.java (1.9),
	filters/unsupervised/attribute/NominalToBinary.java (1.2),
	gui/explorer/ClustererPanel.java (1.34),
	gui/explorer/PreprocessPanel.java (1.26),
	gui/visualize/PlotData2D.java (1.14): Made changes reflecting new
	structure of filters package.

2002-06-14 17:05  rkirkby

	* weka/filters/unsupervised/attribute/RemoveType.java (1.2): Small
	fix after shifting packages broke something.

2002-06-14 16:58  rkirkby

	* weka/filters/unsupervised/attribute/StringToWordVector.java
	(1.1): This class has shifted packages.
	
	It was previously packaged as filters.StringToWordVectorFilter
	
	The changelog prior to shifting was:

2002-06-14 16:54  rkirkby

	* weka/filters/unsupervised/attribute/RemoveType.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.AttributeTypeFilter
	
	The changelog prior to shifting was:

2002-06-14 16:43  rkirkby

	* weka/filters/supervised/instance/ClassOrder.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.ClassOrderFilter
	
	The changelog prior to shifting was:

2002-06-14 16:37  rkirkby

	* weka/filters/unsupervised/instance/SparseToNonSparse.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.SparseToNonSparseFilter
	
	The changelog prior to shifting was:

2002-06-14 16:36  rkirkby

	* weka/filters/unsupervised/instance/Resample.java (1.1): This
	class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.ResampleFilter
	
	The changelog prior to shifting was:

2002-06-14 16:34  rkirkby

	* weka/filters/unsupervised/instance/RemoveWithValues.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.InstanceFilter
	
	The changelog prior to shifting was:

2002-06-14 16:33  rkirkby

	* weka/filters/unsupervised/instance/RemoveRange.java (1.1): This
	class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.SplitDatasetFilter
	
	The changelog prior to shifting was:

2002-06-14 16:32  rkirkby

	* weka/filters/unsupervised/instance/RemovePercentage.java (1.1):
	Initial import.

2002-06-14 16:30  rkirkby

	* weka/filters/unsupervised/instance/RemoveMisclassified.java
	(1.1): This class has shifted packages.
	
	It was previously packaged as filters.MisclassificationFilter
	
	The changelog prior to shifting was:

2002-06-14 16:27  rkirkby

	* weka/filters/unsupervised/instance/RemoveFolds.java (1.1): This
	class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.SplitDatasetFilter
	
	The changelog prior to shifting was:

2002-06-14 16:25  rkirkby

	* weka/filters/unsupervised/instance/Randomize.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.RandomizeFilter
	
	The changelog prior to shifting was:

2002-06-14 16:24  rkirkby

	* weka/filters/unsupervised/instance/NonSparseToSparse.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.NonSparseToSparseFilter
	
	The changelog prior to shifting was:

2002-06-14 16:20  rkirkby

	* weka/filters/unsupervised/attribute/TimeSeriesTranslate.java
	(1.1): This class has shifted packages.
	
	It was previously packaged as filters.TimeSeriesTranslateFilter
	
	The changelog prior to shifting was:

2002-06-14 16:19  rkirkby

	* weka/filters/unsupervised/attribute/TimeSeriesDelta.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.TimeSeriesDeltaFilter
	
	The changelog prior to shifting was:

2002-06-14 16:18  rkirkby

	* weka/filters/unsupervised/attribute/SwapValues.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.SwapAttributeValuesFilter
	
	The changelog prior to shifting was:

2002-06-14 16:16  rkirkby

	* weka/filters/unsupervised/attribute/StringToNominal.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.StringToNominalFilter
	
	The changelog prior to shifting was:

2002-06-14 16:15  rkirkby

	* weka/filters/unsupervised/attribute/ReplaceMissingValues.java
	(1.1): This class has shifted packages.
	
	It was previously packaged as filters.ReplaceMissingValuesFilter
	
	The changelog prior to shifting was:

2002-06-14 16:14  rkirkby

	* weka/filters/unsupervised/attribute/RemoveUseless.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.UselessAttributeFilter
	
	The changelog prior to shifting was:

2002-06-14 16:12  rkirkby

	* weka/filters/unsupervised/attribute/Remove.java (1.1): This class
	has shifted packages.
	
	It was previously packaged as filters.AttributeFilter
	
	The changelog prior to shifting was:

2002-06-14 16:11  rkirkby

	* weka/filters/unsupervised/attribute/Obfuscate.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.ObfuscateFilter
	
	The changelog prior to shifting was:

2002-06-14 16:08  rkirkby

	* weka/filters/unsupervised/attribute/NumericTransform.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.NumericTransformFilter
	
	The changelog prior to shifting was:

2002-06-14 16:07  rkirkby

	* weka/filters/unsupervised/attribute/NumericToBinary.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.NumericToBinaryFilter
	
	The changelog prior to shifting was:

2002-06-14 16:05  rkirkby

	* weka/filters/unsupervised/attribute/Normalize.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.NormalizationFilter
	
	The changelog prior to shifting was:

2002-06-14 16:04  rkirkby

	* weka/filters/unsupervised/attribute/NominalToBinary.java (1.1):
	This class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.NominalToBinaryFilter
	
	The changelog prior to shifting was:

2002-06-14 16:03  rkirkby

	* weka/filters/unsupervised/attribute/MergeTwoValues.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.MergeTwoValuesFilter
	
	The changelog prior to shifting was:

2002-06-14 16:01  rkirkby

	* weka/filters/unsupervised/attribute/MakeIndicator.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.MakeIndicatorFilter
	
	The changelog prior to shifting was:

2002-06-14 16:00  rkirkby

	* weka/filters/unsupervised/attribute/FirstOrder.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.FirstOrderFilter
	
	The changelog prior to shifting was:

2002-06-14 15:59  rkirkby

	* weka/filters/unsupervised/attribute/Discretize.java (1.1): This
	class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.DiscretizeFilter
	
	The changelog prior to shifting was:

2002-06-14 15:58  rkirkby

	* weka/filters/unsupervised/attribute/Copy.java (1.1): This class
	has shifted packages.
	
	It was previously packaged as filters.CopyAttributesFilter
	
	The changelog prior to shifting was:

2002-06-14 15:57  rkirkby

	* weka/filters/unsupervised/attribute/AddNoise.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.AddNoiseFilter
	
	The changelog prior to shifting was:

2002-06-14 15:56  rkirkby

	* weka/filters/unsupervised/attribute/AddExpression.java (1.1):
	This class has shifted packages.
	
	It was previously packaged as filters.AttributeExpressionFilter
	
	The changelog prior to shifting was:

2002-06-14 15:54  rkirkby

	* weka/filters/unsupervised/attribute/Add.java (1.1): This class
	has shifted packages.
	
	It was previously packaged as filters.AddFilter
	
	The changelog prior to shifting was:

2002-06-14 15:53  rkirkby

	* weka/filters/unsupervised/attribute/AbstractTimeSeries.java
	(1.1): This class has shifted packages.
	
	It was previously packaged as filters.AbstractTimeSeriesFilter
	
	The changelog prior to shifting was:

2002-06-14 15:49  rkirkby

	* weka/filters/supervised/instance/StratifiedRemoveFolds.java
	(1.1): This class has shifted packages and been split in several
	parts.
	
	It was previously packaged as filters.SplitDatasetFilter
	
	The changelog prior to shifting was:

2002-06-14 15:47  rkirkby

	* weka/filters/supervised/instance/SpreadSubsample.java (1.1): This
	class has shifted packages.
	
	It was previously packaged as filters.SpreadSubsampleFilter
	
	The changelog prior to shifting was:

2002-06-14 15:46  rkirkby

	* weka/filters/supervised/instance/Resample.java (1.1): This class
	has shifted packages and been split in several parts.
	
	It was previously packaged as filters.ResampleFilter
	
	The changelog prior to shifting was:

2002-06-14 15:43  rkirkby

	* weka/filters/supervised/attribute/NominalToBinary.java (1.1):
	This class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.NominalToBinaryFilter
	
	The changelog prior to shifting was:

2002-06-14 15:39  rkirkby

	* weka/filters/supervised/attribute/Discretize.java (1.1): This
	class has shifted packages and been split in several parts.
	
	It was previously packaged as filters.DiscretizeFilter
	
	The changelog prior to shifting was:

2002-06-14 11:23  rkirkby

	* weka/filters/: UnsupervisedFilter.java (1.1),
	SupervisedFilter.java (1.1), StreamableFilter.java (1.1): Initial
	import.

2002-06-13 15:31  eibe

	* weka/: classifiers/rules/ConjunctiveRule.java (1.5),
	classifiers/rules/JRip.java (1.5), filters/ClassOrderFilter.java
	(1.3), filters/supervised/attribute/ClassOrder.java (1.3),
	filters/supervised/instance/ClassOrder.java (1.3): Some small bug
	fixes.

2002-06-13 09:29  eibe

	* weka/classifiers/functions/Winnow.java (1.5): Had to change a few
	exceptions.

2002-06-13 09:24  eibe

	* weka/classifiers/functions/Winnow.java (1.4): Works now if class
	is not last attribute.

2002-06-12 16:22  eibe

	* weka/: build.xml (1.5), classifiers/bayes/BayesNet.java (1.7),
	classifiers/meta/CVParameterSelection.java (1.16),
	classifiers/misc/HyperPipes.java (1.10), classifiers/misc/VFI.java
	(1.7), classifiers/trees/DecisionStump.java (1.14): Made some more
	small changes relating to unit tests.

2002-06-11 17:24  eibe

	* weka/attributeSelection/: CfsSubsetEval.java (1.16),
	ChiSquaredAttributeEval.java (1.7), ClassifierSubsetEval.java
	(1.7), ConsistencySubsetEval.java (1.8),
	GainRatioAttributeEval.java (1.14), InfoGainAttributeEval.java
	(1.13), OneRAttributeEval.java (1.9), PrincipalComponents.java
	(1.23), ReliefFAttributeEval.java (1.14), SVMAttributeEval.java
	(1.7), SymmetricalUncertAttributeEval.java (1.13),
	WrapperSubsetEval.java (1.16): Changes relating to unit tests for
	classifiers

2002-06-11 16:42  eibe

	* weka/: classifiers/bayes/BayesNet.java (1.6),
	classifiers/bayes/NaiveBayes.java (1.12),
	classifiers/bayes/NaiveBayesSimple.java (1.10),
	classifiers/functions/LeastMedSq.java (1.5),
	classifiers/functions/LinearRegression.java (1.17),
	classifiers/functions/Logistic.java (1.21),
	classifiers/functions/SMO.java (1.33),
	classifiers/functions/VotedPerceptron.java (1.13),
	classifiers/functions/Winnow.java (1.3),
	classifiers/functions/neural/NeuralNetwork.java (1.9),
	classifiers/lazy/IB1.java (1.10), classifiers/lazy/IBk.java (1.20),
	classifiers/lazy/KernelDensity.java (1.8),
	classifiers/lazy/LWR.java (1.13), classifiers/lazy/kstar/KStar.java
	(1.10), classifiers/meta/AdaBoostM1.java (1.15),
	classifiers/meta/AdditiveRegression.java (1.10),
	classifiers/meta/Bagging.java (1.17),
	classifiers/meta/CVParameterSelection.java (1.15),
	classifiers/meta/ClassificationViaRegression.java (1.12),
	classifiers/meta/CostSensitiveClassifier.java (1.13),
	classifiers/meta/LogitBoost.java (1.22),
	classifiers/meta/MetaCost.java (1.10),
	classifiers/meta/RegressionByDiscretization.java (1.16),
	classifiers/misc/HyperPipes.java (1.9),
	classifiers/rules/ConjunctiveRule.java (1.4),
	classifiers/rules/DecisionTable.java (1.24),
	classifiers/rules/OneR.java (1.15), classifiers/rules/Prism.java
	(1.14), classifiers/rules/Ridor.java (1.5),
	classifiers/rules/part/MakeDecList.java (1.9),
	classifiers/trees/Id3.java (1.9), classifiers/trees/REPTree.java
	(1.3), classifiers/trees/j48/C45PruneableClassifierTree.java (1.9),
	classifiers/trees/j48/ClassifierTree.java (1.15),
	classifiers/trees/m5/M5Base.java (1.3),
	filters/AttributeTypeFilter.java (1.13),
	filters/unsupervised/attribute/RemoveType.java (1.13): Changes
	relating to unit tests.

2002-06-11 16:39  eibe

	* weka/core/NoSupportForMissingValuesException.java (1.1): Initial
	import

2002-06-10 16:02  eibe

	* weka/classifiers/functions/SMO.java (1.32): Added RBF support
	provided by J. Lindgren.

2002-06-10 12:01  rkirkby

	* weka/gui/explorer/Explorer.java (1.22): Updated copyright
	message.

2002-06-07 15:24  mhall

	* weka/attributeSelection/SVMAttributeEval.java (1.6): Option added
	to eliminate a percentage of features per iteration - thanks to
	Kieran Holland

2002-05-31 15:45  mhall

	* weka/gui/beans/Beans.props (1.2): Removed some extraneous garbage

2002-05-31 14:34  rkirkby

	* weka/gui/GenericObjectEditor.java (1.34): Fixed object drop-down
	list breaking with double click.